DROP FUNCTION IF EXISTS public.fn_rustolatin;

CREATE FUNCTION public.fn_rustolatin(
    str varchar(4000)
)
    RETURNS varchar(4000)
    LANGUAGE plpgsql
AS
$$
DECLARE
    p_str varchar(4000) := str;
BEGIN
    
    RETURN (SELECT REPLACE(
                       REPLACE(
                           REPLACE(
                               REPLACE(
                                   REPLACE(
                                       REPLACE(
                                           REPLACE(
                                               REPLACE(
                                                   REPLACE(
                                                       REPLACE(
                                                           REPLACE(
                                                               REPLACE(
                                                                   REPLACE(
                                                                       REPLACE(
                                                                           REPLACE(
                                                                               REPLACE(
                                                                                   REPLACE(
                                                                                       REPLACE(
                                                                                           REPLACE(
                                                                                               REPLACE(
                                                                                                   REPLACE(
                                                                                                       REPLACE(p_str, 'А', 'A')
                                                                                                       , 'а', 'a')
                                                                                                   , 'В', 'B')
                                                                                               , 'с', 'c')
                                                                                           , 'С', 'C')
                                                                                       , 'Е', 'E')
                                                                                   , 'е', 'e')
                                                                               , 'Н', 'H')
                                                                           , 'К', 'K')
                                                                       , 'к', 'k')
                                                                   , 'М', 'M')
                                                               , 'п', 'n')
                                                           , 'О', 'O')
                                                       , 'о', 'o')
                                                   , 'т', 'm')
                                               , 'Р', 'P')
                                           , 'р', 'p')
                                       , 'Т', 'T')
                                   , 'и', 'u')
                               , 'Х', 'X')
                           , 'х', 'x')
                       , 'у', 'y')
           );

END;
$$